<?php
function gdi_get_current_theme_author(){
    $current_theme = wp_get_theme();
    return $current_theme->get('Author');
}
function gdi_check_activated(){
    $pluginList = get_option( 'active_plugins' );
    $gdi = 'advanced-import/advanced-import.php'; 
    $checkPlugin = in_array( $gdi , $pluginList );
    // print_r($checkPlugin);
    return $checkPlugin;
}
function gdi_file_exists(){
    $gdi = 'advanced-import/advanced-import.php'; 
    $pathpluginurl = WP_PLUGIN_DIR .'/'. $gdi;
    $isinstalled = file_exists( $pathpluginurl );
    return $isinstalled;
}
function gdi_get_current_theme_slug(){
    $current_theme = wp_get_theme();
    return $current_theme->stylesheet;
}
function gdi_get_theme_screenshot(){
    $current_theme = wp_get_theme();
    return $current_theme->get_screenshot();
}
function gdi_get_theme_name(){
    $current_theme = wp_get_theme();
    return $current_theme->get('Name');
}

function gdi_get_templates_lists( $theme_slug ){
   
    switch ( $theme_slug ):    
        case "guten-blog":
        case "guten-blog-pro":
            $demo_templates_lists = array(

                'free-1' =>array(
                    'title' => __( 'WP Gutenblog Free 1', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => false,  /*Premium*/
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/free-1/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/free-1/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/free-1/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/free-1/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-free-1',
                    'plugins' => 'gutentor'
                ),

                'free-2' =>array(
                    'title' => __( 'WP Gutenblog Free 2', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => false,  /*Premium*/
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/free-2/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/free-2/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/free-2/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/free-2/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-free-2',
                    'plugins' => 'gutentor'
                ),

                'free-3' =>array(
                    'title' => __( 'WP Gutenblog Free 3', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => false,  /*Premium*/
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/free-3/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/free-3/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/free-3/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/free-3/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-free-3',
                    'plugins' => 'gutentor'
                ),

                'free-4' =>array(
                    'title' => __( 'WP Gutenblog Free 4', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => false,  /*Premium*/
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/free-4/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/free-4/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/free-4/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/free-4/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-free-4',
                    'plugins' => 'gutentor'
                ),

                'free-5' =>array(
                    'title' => __( 'WP Gutenblog Free 5', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => false,  /*Premium*/
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/free-5/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/free-5/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/free-5/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/free-5/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-free-5',
                    'plugins' => 'gutentor'
                ),

                'free-6' =>array(
                    'title' => __( 'WP Gutenblog Free 6', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => false,  /*Premium*/
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/free-6/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/free-6/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/free-6/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/free-6/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-free-6',
                    'plugins' => 'gutentor'
                ),

                'free-7' =>array(
                    'title' => __( 'WP Gutenblog Free 7', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => false,  /*Premium*/
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/free-7/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/free-7/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/free-7/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/free-7/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-free-7',
                    'plugins' => 'gutentor'
                ),


                'pro-1' =>array(
                    'title' => __( 'WP Gutenblog Pro 1', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-1/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-1/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-1/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-1/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-1',
                    'plugins' => 'gutentor'
                ),

                'pro-2' =>array(
                    'title' => __( 'WP Gutenblog Pro 2', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-2/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-2/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-2/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-2/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-2',
                    'plugins' => 'gutentor'
                ),

                'pro-3' =>array(
                    'title' => __( 'WP Gutenblog Pro 3', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-3/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-3/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-3/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-3/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-3',
                    'plugins' => 'gutentor'
                ),

                'pro-4' =>array(
                    'title' => __( 'WP Gutenblog Pro 4', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-4/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-4/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-4/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-4/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-4',
                    'plugins' => 'gutentor'
                ),

                'pro-5' =>array(
                    'title' => __( 'WP Gutenblog Pro 5', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-5/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-5/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-5/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-5/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-5',
                    'plugins' => 'gutentor'
                ),

                'pro-6' =>array(
                    'title' => __( 'WP Gutenblog Pro 6', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-6/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-6/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-6/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-6/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-6',
                    'plugins' => 'gutentor'
                ),

                'pro-7' =>array(
                    'title' => __( 'WP Gutenblog Pro 7', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-7/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-7/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-7/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-7/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-7',
                    'plugins' => 'gutentor'
                ),

                'pro-8' =>array(
                    'title' => __( 'WP Gutenblog Pro 8', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-8/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-8/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-8/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-8/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-8',
                    'plugins' => 'gutentor'
                ),

                'pro-9' =>array(
                    'title' => __( 'WP Gutenblog Pro 9', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-9/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-9/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-9/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-9/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-9',
                    'plugins' => 'gutentor'
                ),

                'pro-10' =>array(
                    'title' => __( 'WP Gutenblog Pro 10', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-10/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-10/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-10/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-10/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-10',
                    'plugins' => 'gutentor'
                ),

                'pro-11' =>array(
                    'title' => __( 'WP Gutenblog Pro 11', 'gutenblog-demo-import' ),/*Title*/
                    'is_pro' => true,  /*Premium*/
                    'pro_url' => 'https://avidthemes.com/guten-blog-pro',
                    'type' => 'normal',
                    'author' => __( 'wpgutenblog', 'gutenblog-demo-import' ),    /*Author Name*/
                    'keywords' => array( 'WP Gutenblog'),  /*Search keyword*/
                    'categories' => array( 'wpgutenblog' ), /*Categories*/
                    'template_url' => array(
                        'content' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-11/content.json',
                        'options' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-11/options.json',
                        'widgets' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-11/widgets.json'
                    ),
                    'screenshot_url' => GDI_TEMPLATE_URL.'/wpgutenblog/pro-11/screenshot.jpg',
                    'demo_url' => 'https://avidthemes.com/preview/?product_id=gutenblog-pro-11',
                    'plugins' => 'gutentor'
                ),

                

            );
            break;    
        default:
            $demo_templates_lists = array();
    endswitch;

    return $demo_templates_lists;

}
