/**
 * Getting Started
 */
jQuery( document ).ready( function ( $ ) {

	$( 'body' ).on( 'click', '.ads-gsm-btn', function ( e ) {
		e.preventDefault();
		// Show updating gif icon.
        $( this ).addClass( 'updating-message' );

		// Change button text.
        $( this ).text( gdi.btn_text );

		$.ajax({
			type: "POST",
			url: ajaxurl,
			data: {
                action     : 'gdi_getting_started',
                security : gdi.nonce
            },
			success:function( response ) {			
                var redirect_uri;
				redirect_uri         = response.data.redirect;
                window.location.href = redirect_uri;
			},
			error: function( xhr, ajaxOptions, thrownError ){
				console.log(thrownError);
			}
		});
	} );
} );
